# std::swap(std::flat_map)

From cppreference.com
< cpp‎ | container‎ | flat map

Defined in header `<flat_map>` |  |
friend void swap( std::flat_map & lhs, std::flat_map & rhs ) noexcept; |  | (since C++23)

Specializes the std::swap algorithm for std::flat_map. Swaps the contents of lhs and rhs. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Same as swapping the underlying containers.

### Example

Run this code

    #include <algorithm>
    #include <iostream>
    #include <flat_map>

    int main()
    {
        std::flat_map<int, char> alice{{1, 'a'}, {2, 'b'}, {3, 'c'}};
        std::flat_map<int, char> bob{{7, 'Z'}, {8, 'Y'}, {9, 'X'}, {10, 'W'}};

        auto print = [](std::pair<const int, char>& n)
        {
            std::cout << ' ' << n.first << ':' << n.second;
        };

        // Print state before swap
        std::cout << "Alice:";
        std::for_each(alice.begin(), alice.end(), print);
        std::cout << "\nBobby:";
        std::for_each(bob.begin(), bob.end(), print);
        std::cout << '\n';

        std::cout << "-- SWAP\n";
        std::swap(alice, bob);

        // Print state after swap
        std::cout << "Alice:";
        std::for_each(alice.begin(), alice.end(), print);
        std::cout << "\nBobby:";
        std::for_each(bob.begin(), bob.end(), print);
        std::cout << '\n';
    }

Output:

    Alice: 1:a 2:b 3:c
    Bobby: 7:Z 8:Y 9:X 10:W
    -- SWAP
    Alice: 7:Z 8:Y 9:X 10:W
    Bobby: 1:a 2:b 3:c

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/flat_map/swap2&oldid=168811"